##
## settings
##
prefix=@prefix@
exec_prefix=@exec_prefix@
sbindir=@sbindir@
bindir=@bindir@
mandir=@mandir@

##
## autoconf
##
CPP=@CPP@
CXXCPP=@CXXCPP@
CC=@CC@
CXX=@CXX@
DEFS=-D_USAGI -DINET6 @DEFS@
CFLAGS=@CFLAGS@ $(DEFS) \
	-DBINDIR=\"$(bindir)\"
CXXFLAGS=@CXXFLAGS@ $(DEFS) \
	-DBINDIR=\"$(bindir)\"

OBJS=
LIBOBJS=@LIBOBJS@
LDFLASG=@LDFLAGS@
LIBS=@LIBS@

INSTALL=@INSTALL@
INSTALL_PROG=@INSTALL_PROGRAM@
INSTALL_DATA=@INSTALL_DATA@
INSTALL_DIR=@INSTALL_DIR@

LN_S=@LN_S@

##
## targets
##
TARGET = writed

all:	$(TARGET)

clean:
	-rm -f *.o $(TARGET)
distclean: clean
	-rm -f config.*
	-rm -f Makefile

install: all
	$(INSTALL_DIR) $(sbindir)
	$(INSTALL_PROG) -s writed $(sbindir)/in.writed
	$(INSTALL_DIR) $(mandir)/man8
	$(INSTALL_DATA) writed.8 $(mandir)/man8
	$(LN_S) -f in.writed.8 $(mandir)/man8/writed.8

##
## dependencies
##
writed: writed.c
	$(CC) $(CFLAGS) writed.c $(LDFLAGS) $(LIBS) -o writed

